from overseer import app
from overseer.api import open_websockets
from flask_socketio import SocketIO

# Create and register new websocket for v1 API
socketio = SocketIO(app, path="/api/v1/socket.io")
open_websockets.append(socketio)


@socketio.on("message")
def handle_message(data):
    """Not Implemented - Used to response to client sent WebSocket messages"""
    print("RAW DATA: %s" % data)


@socketio.on("json")
def handle_json(json):
    """Not Implemented - Used to response to client sent WebSocket messages"""
    print("JSON DATA: %s" % json)
